### Name: kernel.pls.cv
### Title: Cross-validation for Kernel Partial Least Squares
### Aliases: kernel.pls.cv
### Keywords: multivariate

### ** Examples

n<-50 # number of observations
p<-5 # number of variables
X<-matrix(rnorm(n*p),ncol=p)
y<-rnorm(n)

# compute linear PLS
linear.pls<-kernel.pls.cv(X,y,m=ncol(X),k=5)

# compute nonlinear PLS
sigma=exp(seq(0,4,length=10))
nonlinear.pls=kernel.pls(X,y,m=10,type="gaussian",sigma=sigma)



